Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.daohib.bpel.hobj
Class HXmlData

    java.lang.Object
      org.apache.ode.daohib.bpel.hobj.HObject
          org.apache.ode.daohib.bpel.hobj.HXmlData

    public class HXmlData

extends HObject

Field Summary
`static java.lang.String` | `SELECT_XMLDATA_IDS_BY_INSTANCES`

Constructor Summary
`HXmlData()` Constructor.

Method Summary
`HLargeData` | `getData()`
`HProcessInstance` | `getInstance()`
`java.lang.String` | `getName()`
`java.util.Collection<HVariableProperty>` | `getProperties()`
`HScope` | `getScope()`
`boolean` | `isSimpleType()`
`void` | `setData(HLargeData data)`
`void` | `setInstance(HProcessInstance instance)`
`void` | `setName(java.lang.String name)`
`void` | `setProperties(java.util.Collection<HVariableProperty> properties)`
`void` | `setScope(HScope scope)`
`void` | `setSimpleType(boolean simpleType)`

Methods inherited from class org.apache.ode.daohib.bpel.hobj.HObject
`getCreated, getId, getLock, setCreated, setId, setLock, toIdArray, toIdArray, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SELECT_XMLDATA_IDS_BY_INSTANCES

    public static final java.lang.String SELECT_XMLDATA_IDS_BY_INSTANCES

See Also:
  Constant Field Values

Constructor Detail

### HXmlData

    public HXmlData()

  Constructor.

Method Detail

### getData

    public HLargeData getData()

### setData

    public void setData(HLargeData data)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getProperties

    public java.util.Collection<HVariableProperty> getProperties()

### setProperties

    public void setProperties(java.util.Collection<HVariableProperty> properties)

### getScope

    public HScope getScope()

### setScope

    public void setScope(HScope scope)

### getInstance

    public HProcessInstance getInstance()

### setInstance

    public void setInstance(HProcessInstance instance)

### isSimpleType

    public boolean isSimpleType()

### setSimpleType

    public void setSimpleType(boolean simpleType)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD